package com.rshka.mcs.beans;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class Customer {

	@JsonProperty(value = "customer_id", required = true)
	private int id;
	

	@JsonProperty(value = "customer_name", required = true)
	private String name;

	@JsonProperty(value = "customer_address", required = true)
	private String address;

	@JsonProperty(value = "customer_number", required = true)
	private String phoneNumber;
	
	@JsonProperty(value = "customer_document", required = true)
	private String document;

}
