package com.rshka.mcs.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

import com.rshka.mcs.beans.Customer;

public class CustomerMapper implements RowMapper<Customer> {

	public Customer mapRow(ResultSet rs, int rowNum) throws SQLException {

		Customer customer = new Customer();
		customer.setAddress(rs.getString("address"));
		customer.setDocument(rs.getString("document_number"));
		customer.setName(rs.getString("name"));
		customer.setPhoneNumber(rs.getString("phone"));
		return customer;

	}

}
